# How to contribute

## Before creating an issue

* Check the [GUIDE](https://www.ditdot.hr/en/docs/vue-flow-form-guide) to see if you can find the solution to your problem by yourself.
* Check the version of Vue Flow Form you are using - use the last version according to [CHANGELOG](https://github.com/ditdot-dev/vue-flow-form/releases).
* Perform the [Issues](https://github.com/ditdot-dev/vue-flow-form/issues) search to see if the problem has already been reported.
* If the issue has been reported and is still open, add a comment to it instead of opening a new issue.
* If the issue has been reported and is closed, open a new issue with a link to the closed issue.
* If the issue hasn't been reported, open a new issue.

## Creating a bug report

* Use a descriptive title and describe the exact steps to reproduce the problem.
* Explain what kind of behavior you expected and why.
* Share as much information about the problem as you can - include screenshots, GIFs, reports, etc.

## Suggesting an enhancement

* Use a descriptive title and describe the feature request/change in details.
* Explain why this enhancement would be useful.

## Creating a pull request

* Make your changes on a feature branch. Follow the code style of the project, including indentation.
* Make sure your commit messages are short, descriptive, and written in English.
* Create a new PR with the code changes.
* The PR description should clearly describe the problem and solution, with a reference to the appropriate issue if applicable.

  
